Subject: New Coming dependents-2

From: [email-masked]
Date: Sat, 13 Nov 93 23:19:18 CST

Hi, Netters!
     I am a CSPA principal and got PR approved in September. As my mail 
mentioned last month, my wife would hold F-2 non-immigration visa to come 
in America at the end of last month. Right now, when I am filing I-824 
for her to apply for "following to join", I found that her status has been 
changed to B-2 by immigration officer (not muddled) at Los Angles customs. 
This means that my wife's case is different from previous LAD we discussed 
for a long time because she still can keep her valid status in America.
     Since she has been in a legal status, can I still file Form I-824 for
her? If yes, how should I fill "...Please notify the US Consulate at _____"
in part 2.c in Form. Somebody told me that Form I-824 is only for overseas 
dependents or for lost-status dependents in America, is that true?
     Any comments, suggestions and possiblly other ways I could take, will 
be helpful for me. I will appreciate it.

Chris at Houston.